## ros-galactic-geometry-tutorials 0.3.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(geometry_tutorials NONE)
find_package(ament_cmake REQUIRED)
ament_package()

=== debian/changelog ===
ros-galactic-geometry-tutorials (0.3.6-1focal) focal; urgency=high



 -- Alejandro Hernández Cordero <alejandro@openrobotics.org>  Thu, 15 Sep 2022 00:00:00 -0000

ros-galactic-geometry-tutorials (0.3.5-1focal) focal; urgency=high



 -- Alejandro Hernández Cordero <alejandro@openrobotics.org>  Thu, 08 Sep 2022 00:00:00 -0000

ros-galactic-geometry-tutorials (0.3.4-1focal) focal; urgency=high



 -- Alejandro Hernández Cordero <alejandro@openrobotics.org>  Mon, 11 Oct 2021 00:00:00 -0000

ros-galactic-geometry-tutorials (0.3.3-1focal) focal; urgency=high



 -- Alejandro Hernández Cordero <alejandro@openrobotics.org>  Fri, 27 Aug 2021 00:00:00 -0000

ros-galactic-geometry-tutorials (0.3.2-1focal) focal; urgency=high



 -- Alejandro Hernández Cordero <alejandro@openrobotics.org>  Mon, 09 Aug 2021 00:00:00 -0000

ros-galactic-geometry-tutorials (0.3.1-1focal) focal; urgency=high

  * Add Audrow as a maintainer and move Shyngys to author (#37 <https://github.com/ros/geometry_tutorials/issues/37>)
  * Migrate turtle_tf2 tutorial package to ROS2 (#34 <https://github.com/ros/geometry_tutorials/issues/34>)
  * Contributors: kurshakuz, Audrow Nash

 -- Alejandro Hernández Cordero <alejandro@openrobotics.org>  Wed, 23 Jun 2021 00:00:00 -0000

=== debian/control ===
Source: ros-galactic-geometry-tutorials
Section: misc
Priority: optional
Maintainer: Alejandro Hernández Cordero <alejandro@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ament-cmake, ros-galactic-ros-workspace
Homepage: http://www.ros.org/wiki/geometry_tutorials
Standards-Version: 3.9.2

Package: ros-galactic-geometry-tutorials
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-ros-workspace
Description: Metapackage of geometry tutorials ROS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-geometry-tutorials//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
